# High On Life 1.0.3-1.0.5
# BID: 950FB0C3D58D6A7B

ALL_FPS:
  # r.VSync
  -
    type: write
    address: [MAIN, 0x6BA6D78, 0]
    value_type: int32
    value: [0, 0]
  # r.DynamicRes.FrameTimeBudget
  -
    type: evaluate_write
    address: [MAIN, 0x77560C8, 0]
    value_type: float
    value: ["0.93 * FRAMETIME_TARGET", "0.93 * FRAMETIME_TARGET"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x7784130, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  -
    type: block
    what: timing
